﻿using NLog;
using System;
using System.Windows.Forms;


namespace kintone2pptx2
{
    public partial class Form1 : Form
    {


        private static Logger logger = LogManager.GetCurrentClassLogger();
        string user_pw64 = null;

        kintone2pptx_lib k2p = new kintone2pptx_lib();



        public Form1()
        {
            InitializeComponent();
        }


        /// <summary>
        /// 初期化処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Form1_Load(object sender, EventArgs e)
        {

        }


        /// <summary>
        /// 終了処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            //Properties.Settings.Default.UserName = txtUserName.Text;
            //Properties.Settings.Default.select_index = cmbApp.SelectedIndex;
            //Properties.Settings.Default.Save();
        }




        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void toolStripMenuItem1_Click_1(object sender, EventArgs e)
        {
        }


        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void 終了XToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            this.Close();
        }


        private void button2_Click_1(object sender, EventArgs e)
        {
            OpenFileDialog dlg = new OpenFileDialog();
            dlg.Filter = "excel|*.xlsx";
            dlg.RestoreDirectory = true;
            if (dlg.ShowDialog() == DialogResult.OK)
            {
                k2p.ReadConf(dlg.FileName);
            }
          
            k2p.LoadConf();
            txtMessage.AppendText("設定ファイルを読み込みました" + Environment.NewLine);
        }


        private void button5_Click(object sender, EventArgs e)
        {
            //k2p.LoadConf();
            k2p.GetFields();
            txtMessage.AppendText("kintoneフィールド情報を取得しました" + Environment.NewLine);

        }


        private void button6_Click(object sender, EventArgs e)
        {
            k2p.LoadConf();
            k2p.LoadFields();
            k2p.GetRecords();
            txtMessage.AppendText("kintoneレコードを取得しました" + Environment.NewLine);

        }

        private void button7_Click(object sender, EventArgs e)
        {
            k2p.LoadConf();
            k2p.sqlExecute();
            txtMessage.AppendText("検索式を実行しました" + Environment.NewLine);

        }


        private void button8_Click(object sender, EventArgs e)
        {
            k2p.createPpt();
            txtMessage.AppendText("PowerPointを作成しました" + Environment.NewLine);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            k2p.LoadConf();
            k2p.LoadFields();
            k2p.loadRecords();
            k2p.CreateTable();
            k2p.insertData();
            txtMessage.AppendText("DBにデータを格納しました" + Environment.NewLine);
        }
    }
}
